---
schema_version: "1"
id: 9ec18baa430e77af3d48eb37323d611c65707f433c25ef907cfeece1bf9eeb55
title: Getting Started with Tableau Next REST API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/analytics/tableau-next-rest-api/guides/get-started.md
canonical_url: https://developer.salesforce.com/docs/analytics/tableau-next-rest-api/guide/get-started.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 00c58f488921fb23e617dcd96130f21329ba20c46f920e37470de94aa306a64f
products:
  - Tableau Next REST API
  - analytics
---
# Getting Started with Tableau Next REST API

Welcome to the Tableau Next REST API. This guide will help you get started with using our API to programmatically manage and configure Tableau Next elements.

## Overview

The Tableau Next REST API allows you to programmatically:

- Create and update visualizations and workspaces.
- Get, update, and run subscription digests.
- Download asset images and metadata.
- Add and update followers for assets and collections of assets and query followed assets and followers for assets.
- Get and update user access to assets.

## Set Up Tableau Next

To use the Tableau Next REST APIs, ensure Tableau Next is provisioned and set up in your org. You also need a Salesforce user account with a Tableau Next Creator license and a Tableau Next Admin or Tableau Next Platform Analyst permission set. 

For more information on setup and licenses, see [Set Up Tableau Next](https://help.salesforce.com/s/articleView?id=analytics.tua_admin.htm) and [Tableau Next Permission Sets and Licenses](https://help.salesforce.com/s/articleView?id=analytics.tua_admin_permsets_licenses.htm) in Salesforce Help.

## Prerequisites

Before you begin, ensure you have:

- Basic understanding of REST APIs and HTTP requests
- Your API credentials (see [Authentication](https://developer.salesforce.com/docs/analytics/tableau-next-rest-api/guide/authentication.md))
- A REST API client (like cURL, Postman, or your preferred programming language)

## Making Your First Request

1. First, authenticate with the API (see [Authentication](https://developer.salesforce.com/docs/analytics/tableau-next-rest-api/guide/authentication.md))
2. Try a simple GET request to check your connection:

```bash
curl -X GET https://<instance_name>/services/data/v64.0/tableau/visualizations \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
```

## Learn more about Connect REST APIs

The Tableau Next Connect REST API is based on the Connect REST API and follows its conventions. For more information about the Connect REST API, set the [Connect Rest API Developer Guide](https://developer.salesforce.com/docs/atlas.en-us.chatterapi.meta/chatterapi/intro_working_with_chatter_connect.htm)

<!--
## Next Steps

Once you're set up, you can:
1. [Configure Dashboard Layout and Insights](https://developer.salesforce.com/docs/analytics/tableau-next-rest-api/guide/tabnext-example.md)
2. Explore the API reference documentation
3. Learn about best practices and advanced features


## Need Help?

- Check our detailed API reference
- Review common use cases and examples
- Contact support for technical assistance
- Join our developer community

-->
